aboutsummaryrefslogtreecommitdiff
path: root/bin/pb
diff options
context:
space:
mode:
authorEuAndreh <eu@euandre.org>2022-05-02 17:41:42 -0300
committerEuAndreh <eu@euandre.org>2022-05-02 17:41:42 -0300
commit1e1f257cf8ef9619795eb42c63ef92e35b52fe54 (patch)
treea1bfb8b913d8cfef2f506c4f470d94c7c5a24ed6 /bin/pb
parentMakefile: Do not make "fqdn" target .SILENT by default (diff)
downloadeuandre.org-1e1f257cf8ef9619795eb42c63ef92e35b52fe54.tar.gz
euandre.org-1e1f257cf8ef9619795eb42c63ef92e35b52fe54.tar.xz
bin/{tmp,pb}: ShellCheck
Diffstat (limited to 'bin/pb')
-rwxr-xr-xbin/pb5
1 files changed, 3 insertions, 2 deletions
diff --git a/bin/pb b/bin/pb
index cb9ef89..6ef0a22 100755
--- a/bin/pb
+++ b/bin/pb
@@ -136,8 +136,9 @@ SLUG="${SLUG:-$(echo "$TITLE" | slugify)}"
OUT="$(outname "$DATE" "$SLUG")"
URL="$(url "$DATE" "$SLUG")"
-trap "rm -f $OUT-tmp" EXIT
-cat /dev/stdin <<-EOF | vipe > "$OUT-tmp"
+# shellcheck disable=2064
+trap "rm -f '$OUT-tmp'" EXIT
+cat <<-EOF | vipe > "$OUT-tmp"
---
title: $TITLE